ASSETS = {
    "Stock Indices": {
        "S&P 500": "^GSPC",
        "Nasdaq 100": "^NDX",
        "Dow Jones": "^DJI",
        "Russell 2000": "^RUT",
        "VIX (Volatility Index)": "^VIX",
        "FTSE 100 (UK)": "^FTSE",
        "DAX 40 (Germany)": "^GDAXI",
        "CAC 40 (France)": "^FCHI",
        "Nikkei 225 (Japan)": "^N225",
        "Hang Seng (Hong Kong)": "^HSI",
        "Shanghai Composite (China)": "000001.SS",
        "Sensex 30 (India)": "^BSESN",
        "Nifty 50 (India)": "^NSEI",
        "ASX 200 (Australia)": "^AXJO",
        "Euro Stoxx 50 (EU)": "^STOXX50E",
        "MSCI Emerging Markets": "EEM",
        "Brazil Bovespa": "^BVSP",
        "Mexico IPC": "^MXX",
        "South Korea KOSPI": "^KS11",
        "Taiwan TAIEX": "^TWII",
        "Singapore STI": "^STI",
    },
    "Forex": {
        "EUR/USD": "EURUSD=X",
        "GBP/USD": "GBPUSD=X",
        "USD/JPY": "USDJPY=X",
        "USD/CHF": "USDCHF=X",
        "USD/CAD": "USDCAD=X",
        "AUD/USD": "AUDUSD=X",
        "NZD/USD": "NZDUSD=X",
        "EUR/GBP": "EURGBP=X",
        "EUR/JPY": "EURJPY=X",
        "GBP/JPY": "GBPJPY=X",
        "CHF/JPY": "CHFJPY=X",
        "AUD/JPY": "AUDJPY=X",
        "NZD/JPY": "NZDJPY=X",
        "EUR/CHF": "EURCHF=X",
        "USD/CNY": "USDCNY=X",
        "USD/INR": "USDINR=X",
        "USD/SGD": "USDSGD=X",
        "USD/KRW": "USDKRW=X",
        "USD/HKD": "USDHKD=X",
        "USD/IDR": "USDIDR=X",
        "USD/THB": "USDTHB=X",
        "USD/MXN": "USDMXN=X",
        "USD/BRL": "USDBRL=X",
        "USD/ZAR": "USDZAR=X",
        "USD/RUB": "USDRUB=X",
        "EUR/AUD": "EURAUD=X",
        "EUR/CAD": "EURCAD=X",
        "GBP/AUD": "GBPAUD=X",
        "GBP/CAD": "GBPCAD=X",
        "AUD/CAD": "AUDCAD=X",
        "AUD/NZD": "AUDNZD=X",
        "CAD/JPY": "CADJPY=X",
        "SGD/JPY": "SGDJPY=X",
        "HKD/JPY": "HKDJPY=X",
    },
    "Commodities": {
        "Gold": "GC=F",
        "Silver": "SI=F",
        "Crude Oil (WTI)": "CL=F",
        "Brent Crude Oil": "BZ=F",
        "Natural Gas": "NG=F",
        "Copper": "HG=F",
        "Platinum": "PL=F",
        "Palladium": "PA=F",
        "Wheat": "ZW=F",
        "Corn": "ZC=F",
        "Soybeans": "ZS=F",
        "Coffee": "KC=F",
        "Cocoa": "CC=F",
        "Sugar": "SB=F",
        "Cotton": "CT=F",
        "Aluminum": "ALI=F",
        "Heating Oil": "HO=F",
        "Gasoline (RBOB)": "RB=F",
        "Live Cattle": "LE=F",
        "Lean Hogs": "HE=F",
        "Feeder Cattle": "GF=F",
        "Oats": "ZO=F",
        "Rice": "ZR=F",
        "Orange Juice": "OJ=F",
    },
    "Bonds": {
        "US 10Y Treasury": "^TNX",
        "US 30Y Treasury": "^TYX",
        "India 10Y Bond": "NIFTYGS10YR.NS",
        "Franklin Emerging Market Debt Opps": "FEMDX",
        "Motilal Oswal Nasdaq 100 Fd of Fd Reg Gr":"0P0001F0CL.BO",
        "FSITC GlobalAIRobotics and SmartAuto USD":"0P000184IC",
        "US Corporate Bonds (LQD)": "LQD",
        "US High Yield Bonds (HYG)": "HYG",
        "US Fed Funds Rate": "^IRX",
    },
    "ETFs": {
        "S&P 500 ETF (SPY)": "SPY",
        "Nasdaq 100 ETF (QQQ)": "QQQ",
        "Dow Jones ETF (DIA)": "DIA",
        "Emerging Markets ETF (EEM)": "EEM",
        "Gold ETF (GLD)": "GLD",
        "Technology ETF (XLK)": "XLK",
        "Energy ETF (XLE)": "XLE",
        "Financials ETF (XLF)": "XLF",
        "Healthcare ETF (XLV)": "XLV",
        "Real Estate ETF (VNQ)": "VNQ",
        "AI & Robotics ETF (BOTZ)": "BOTZ",
        "Clean Energy ETF (ICLN)": "ICLN",
        "EV & Battery ETF (LIT)": "LIT",
        "Cybersecurity ETF (HACK)": "HACK",
    },
    "Cryptocurrencies": {
        "Bitcoin": "BTC-USD",
        "Ethereum": "ETH-USD",
        "Binance Coin": "BNB-USD",
        "Solana": "SOL-USD",
        "XRP": "XRP-USD",
        "Dogecoin": "DOGE-USD",
        "Polygon (MATIC)": "MATIC-USD",
        "Chainlink": "LINK-USD",
        "Cardano": "ADA-USD",
        "Polkadot": "DOT-USD",
        "Avalanche": "AVAX-USD",
        "Litecoin": "LTC-USD",
        "Cosmos": "ATOM-USD",
        "Shiba Inu": "SHIB-USD",
        "Uniswap": "UNI-USD",
        "Algorand": "ALGO-USD",
        "Stellar": "XLM-USD",
        "Filecoin": "FIL-USD",
        "Aave": "AAVE-USD",
        "VeChain": "VET-USD",
        "Elrond": "EGLD-USD",
        "Decentraland": "MANA-USD",
        "Sandbox": "SAND-USD",
        "Axie Infinity": "AXS-USD",
        "ThorChain": "RUNE-USD",
        "Internet Computer": "ICP-USD",
        "Stacks": "STX-USD",
        "Arbitrum": "ARB-USD",
        "Optimism": "OP-USD",
        "Injective Protocol": "INJ-USD",
        "Rocket Pool": "RPL-USD",
    },
}


continent_countries = {
    "Asia": [
        "Afghanistan", "Bangladesh", "Cambodia", "China", "India", "Indonesia", "Japan", "Kazakhstan",
        "Kyrgyzstan", "Malaysia", "Mongolia", "Myanmar", "Philippines", "Singapore", "South Korea", "Taiwan",
        "Thailand", "Vietnam"
    ],
    "Europe": [
        "Austria", "Azerbaijan", "Belgium", "Cyprus", "Czech Republic", "Denmark", "Estonia", "Finland",
        "France", "Germany", "Greece", "Hungary", "Iceland", "Ireland", "Italy", "Latvia", "Lithuania",
        "Luxembourg", "Malta", "Monaco", "Netherlands", "Norway", "Poland", "Portugal", "Romania", "Russia",
        "Slovakia", "Slovenia", "Spain", "Sweden", "Switzerland", "United Kingdom"
    ],
    "Africa": [
        "Botswana", "Egypt", "Gabon", "Ghana", "Ivory Coast", "Kenya", "Morocco", "Mozambique", "Namibia",
        "Nigeria", "South Africa", "Zambia"
    ],
    "North America": [
        "Bahamas", "Barbados", "Belize", "Bermuda", "Canada", "Cayman Islands", "Costa Rica", "Mexico",
        "Panama", "United States"
    ],
    "South America": [
        "Argentina", "Brazil", "Chile", "Colombia", "Peru", "Uruguay"
    ],
    "Oceania": [
        "Australia", "Fiji", "New Zealand", "Papua New Guinea"
    ],
    "Middle East": [
        "Israel", "Jordan", "Saudi Arabia", "United Arab Emirates", "Qatar"
    ]
}


government_data_portals = [
    {"country": "Afghanistan", "portal": "No specific open data portal available"},
    {"country": "Albania", "portal": "https://opendata.gov.al/"},
    {"country": "Algeria", "portal": "No specific open data portal available"},
    {"country": "Andorra", "portal": "No specific open data portal available"},
    {"country": "Angola", "portal": "No specific open data portal available"},
    {"country": "Antigua and Barbuda", "portal": "No specific open data portal available"},
    {"country": "Argentina", "portal": "https://datos.gob.ar/"},
    {"country": "Armenia", "portal": "https://www.armstat.am/en/"},
    {"country": "Aruba", "portal": "No specific open data portal available"},
    {"country": "Australia", "portal": "https://data.gov.au/"},
    {"country": "Austria", "portal": "https://www.data.gv.at/"},
    {"country": "Azerbaijan", "portal": "https://www.data.gov.az/"},
    {"country": "Bahamas", "portal": "No specific open data portal available"},
    {"country": "Bahrain", "portal": "No specific open data portal available"},
    {"country": "Bangladesh", "portal": "https://data.gov.bd"},
    {"country": "Barbados", "portal": "No specific open data portal available"},
    {"country": "Belarus", "portal": "No specific open data portal available"},
    {"country": "Belgium", "portal": "https://data.gov.be/"},
    {"country": "Belize", "portal": "No specific open data portal available"},
    {"country": "Benin", "portal": "No specific open data portal available"},
    {"country": "Bermuda", "portal": "No specific open data portal available"},
    {"country": "Bhutan", "portal": "No specific open data portal available"},
    {"country": "Bolivia", "portal": "https://datos.gob.bo/"},
    {"country": "Bosnia and Herzegovina", "portal": "No specific open data portal available"},
    {"country": "Botswana", "portal": "No specific open data portal available"},
    {"country": "Brazil", "portal": "https://dados.gov.br/"},
    {"country": "Brunei", "portal": "No specific open data portal available"},
    {"country": "Bulgaria", "portal": "https://data.egov.bg/"},
    {"country": "Burkina Faso", "portal": "No specific open data portal available"},
    {"country": "Burundi", "portal": "No specific open data portal available"},
    {"country": "Cabo Verde", "portal": "No specific open data portal available"},
    {"country": "Cambodia", "portal": "No specific open data portal available"},
    {"country": "Cameroon", "portal": "No specific open data portal available"},
    {"country": "Canada", "portal": "https://open.canada.ca/en/open-data"},
    {"country": "Cayman Islands", "portal": "No specific open data portal available"},
    {"country": "Central African Republic", "portal": "No specific open data portal available"},
    {"country": "Chad", "portal": "No specific open data portal available"},
    {"country": "Chile", "portal": "https://datos.gob.cl/"},
    {"country": "China", "portal": "http://data.stats.gov.cn/english/"},
    {"country": "Colombia", "portal": "https://www.datos.gov.co/"},
    {"country": "Comoros", "portal": "No specific open data portal available"},
    {"country": "Congo, Democratic Republic of", "portal": "No specific open data portal available"},
    {"country": "Congo, Republic of", "portal": "No specific open data portal available"},
    {"country": "Costa Rica", "portal": "https://www.datos.go.cr/"},
    {"country": "Croatia", "portal": "https://data.gov.hr/"},
    {"country": "Cuba", "portal": "No specific open data portal available"},
    {"country": "Curacao", "portal": "No specific open data portal available"},
    {"country": "Cyprus", "portal": "https://www.data.gov.cy/"},
    {"country": "Czech Republic", "portal": "https://data.gov.cz/"},
    {"country": "Denmark", "portal": "https://www.opendata.dk/"},
    {"country": "Djibouti", "portal": "No specific open data portal available"},
    {"country": "Dominica", "portal": "No specific open data portal available"},
    {"country": "Dominican Republic", "portal": "https://datos.gob.do/"},
    {"country": "Ecuador", "portal": "https://www.datosabiertos.gob.ec/"},
    {"country": "Egypt", "portal": "https://www.data.gov.eg/"},
    {"country": "El Salvador", "portal": "https://www.transparencia.gob.sv/open-data"},
    {"country": "Equatorial Guinea", "portal": "No specific open data portal available"},
    {"country": "Eritrea", "portal": "No specific open data portal available"},
    {"country": "Estonia", "portal": "https://opendata.riik.ee/en/"},
    {"country": "Eswatini", "portal": "No specific open data portal available"},
    {"country": "Ethiopia", "portal": "No specific open data portal available"},
    {"country": "European Union", "portal": "https://data.europa.eu/en"},
    {"country": "Faroe Islands", "portal": "No specific open data portal available"},
    {"country": "Fiji", "portal": "No specific open data portal available"},
    {"country": "Finland", "portal": "https://www.avoindata.fi/en"},
    {"country": "France", "portal": "https://www.data.gouv.fr/en/"},
    {"country": "French Polynesia", "portal": "No specific open data portal available"},
    {"country": "Gabon", "portal": "No specific open data portal available"},
    {"country": "Gambia", "portal": "No specific open data portal available"},
    {"country": "Georgia", "portal": "https://data.gov.ge/en"},
    {"country": "Germany", "portal": "https://www.govdata.de/"},
    {"country": "Ghana", "portal": "https://data.gov.gh/"},
    {"country": "Gibraltar", "portal": "No specific open data portal available"},
    {"country": "Greece", "portal": "https://www.data.gov.gr/"},
    {"country": "Greenland", "portal": "No specific open data portal available"},
    {"country": "Grenada", "portal": "No specific open data portal available"},
    {"country": "Guatemala", "portal": "https://datos.gob.gt/"},
    {"country": "Guernsey", "portal": "No specific open data portal available"},
    {"country": "Guinea", "portal": "No specific open data portal available"},
    {"country": "Guinea-Bissau", "portal": "No specific open data portal available"},
    {"country": "Guyana", "portal": "No specific open data portal available"},
    {"country": "Haiti", "portal": "No specific open data portal available"},
    {"country": "Honduras", "portal": "https://datosabiertos.gob.hn/"},
    {"country": "Hong Kong SAR (China)", "portal": "https://data.gov.hk/en/"},
    {"country": "Hungary", "portal": "https://openinfo.gov.hu/"},
    {"country": "Iceland", "portal": "https://opendata.is/"},
    {"country": "India", "portal": "https://data.gov.in/"},
    {"country": "Indonesia", "portal": "https://data.go.id/"},
    {"country": "Iran", "portal": "No specific open data portal available"},
    {"country": "Iraq", "portal": "No specific open data portal available"},
    {"country": "Ireland", "portal": "https://data.gov.ie/"},
    {"country": "Isle of Man", "portal": "No specific open data portal available"},
    {"country": "Israel", "portal": "https://data.gov.il/"},
    {"country": "Italy", "portal": "https://www.dati.gov.it/"},
    {"country": "Ivory Coast", "portal": "No specific open data portal available"},
    {"country": "Jamaica", "portal": "No specific open data portal available"},
    {"country": "Japan", "portal": "https://www.data.go.jp/"},
    {"country": "Jersey", "portal": "No specific open data portal available"},
    {"country": "Jordan", "portal": "https://data.gov.jo/"},
    {"country": "Kazakhstan", "portal": "https://data.egov.kz/"},
    {"country": "Kenya", "portal": "https://www.opendata.go.ke/"},
    {"country": "Kiribati", "portal": "No specific open data portal available"},
    {"country": "Kosovo", "portal": "No specific open data portal available"},
    {"country": "Kuwait", "portal": "No specific open data portal available"},
    {"country": "Kyrgyzstan", "portal": "https://data.gov.kg/"},
    {"country": "Laos", "portal": "No specific open data portal available"},
    {"country": "Latvia", "portal": "https://data.gov.lv/"},
    {"country": "Lebanon", "portal": "No specific open data portal available"},
    {"country": "Lesotho", "portal": "No specific open data portal available"},
    {"country": "Liberia", "portal": "No specific open data portal available"},
    {"country": "Libya", "portal": "No specific open data portal available"},
    {"country": "Liechtenstein", "portal": "No specific open data portal available"},
    {"country": "Lithuania", "portal": "https://data.gov.lt/"},
    {"country": "Luxembourg", "portal": "https://data.public.lu/en/"},
    {"country": "Macau SAR (China)", "portal": "https://www.gov.mo/en/data/"},
    {"country": "Madagascar", "portal": "No specific open data portal available"},
    {"country": "Malawi", "portal": "No specific open data portal available"},
    {"country": "Malaysia", "portal": "https://www.data.gov.my/"},
    {"country": "Maldives", "portal": "No specific open data portal available"},
    {"country": "Mali", "portal": "No specific open data portal available"},
    {"country": "Malta", "portal": "https://data.gov.mt/"},
    {"country": "Marshall Islands", "portal": "No specific open data portal available"},
    {"country": "Mauritania", "portal": "No specific open data portal available"},
    {"country": "Mauritius", "portal": "No specific open data portal available"},
    {"country": "Mexico", "portal": "https://datos.gob.mx/"},
    {"country": "Micronesia", "portal": "No specific open data portal available"},
    {"country": "Moldova", "portal": "https://date.gov.md/"},
    {"country": "Monaco", "portal": "No specific open data portal available"},
    {"country": "Mongolia", "portal": "No specific open data portal available"},
    {"country": "Montenegro", "portal": "No specific open data portal available"},
    {"country": "Morocco", "portal": "https://data.gov.ma/"},
    {"country": "Mozambique", "portal": "No specific open data portal available"},
    {"country": "Myanmar", "portal": "No specific open data portal available"},
    {"country": "Namibia", "portal": "No specific open data portal available"},
    {"country": "Nauru", "portal": "No specific open data portal available"},
    {"country": "Nepal", "portal": "https://data.nepal.gov.np/"},
    {"country": "Netherlands", "portal": "https://data.overheid.nl/"},
    {"country": "New Caledonia", "portal": "No specific open data portal available"},
    {"country": "New Zealand", "portal": "https://www.data.govt.nz/"},
    {"country": "Nicaragua", "portal": "No specific open data portal available"},
    {"country": "Niger", "portal": "No specific open data portal available"},
    {"country": "Nigeria", "portal": "https://nigeriadata.gov.ng/"},
    {"country": "North Korea", "portal": "No specific open data portal available"},
    {"country": "North Macedonia", "portal": "No specific open data portal available"},
    {"country": "Norway", "portal": "https://data.norge.no/"},
    {"country": "Oman", "portal": "https://data.gov.om/"},
    {"country": "Pakistan", "portal": "No specific open data portal available"},
    {"country": "Palau", "portal": "No specific open data portal available"},
    {"country": "Panama", "portal": "No specific open data portal available"},
    {"country": "Papua New Guinea", "portal": "No specific open data portal available"},
    {"country": "Paraguay", "portal": "https://datos.gov.py/"},
    {"country": "Peru", "portal": "https://www.datosabiertos.gob.pe/"},
    {"country": "Philippines", "portal": "https://data.gov.ph/"},
    {"country": "Poland", "portal": "https://dane.gov.pl/"},
    {"country": "Portugal", "portal": "https://dados.gov.pt/"},
    {"country": "Qatar", "portal": "https://www.data.gov.qa/"},
    {"country": "Romania", "portal": "https://data.gov.ro/"},
    {"country": "Russian Federation", "portal": "https://data.gov.ru/"},
    {"country": "Rwanda", "portal": "No specific open data portal available"},
    {"country": "Saint Kitts and Nevis", "portal": "No specific open data portal available"},
    {"country": "Saint Lucia", "portal": "No specific open data portal available"},
    {"country": "Saint Vincent and the Grenadines", "portal": "No specific open data portal available"},
    {"country": "Samoa", "portal": "No specific open data portal available"},
    {"country": "San Marino", "portal": "No specific open data portal available"},
    {"country": "Sao Tome and Principe", "portal": "No specific open data portal available"},
    {"country": "Saudi Arabia", "portal": "https://www.data.gov.sa/"},
    {"country": "Senegal", "portal": "No specific open data portal available"},
    {"country": "Serbia", "portal": "https://data.gov.rs/"},
    {"country": "Seychelles", "portal": "No specific open data portal available"},
    {"country": "Sierra Leone", "portal": "No specific open data portal available"},
    {"country": "Singapore", "portal": "https://data.gov.sg/"},
    {"country": "Sint Maarten (Dutch)", "portal": "No specific open data portal available"},
    {"country": "Slovakia", "portal": "https://data.gov.sk/"},
    {"country": "Slovenia", "portal": "https://podatki.gov.si/"},
    {"country": "Solomon Islands", "portal": "No specific open data portal available"},
    {"country": "Somalia", "portal": "No specific open data portal available"},
    {"country": "South Africa", "portal": "https://data.gov.za/"},
    {"country": "South Korea", "portal": "https://www.data.go.kr/"},
    {"country": "South Sudan", "portal": "No specific open data portal available"},
    {"country": "Spain", "portal": "https://datos.gob.es/"},
    {"country": "Sri Lanka", "portal": "https://data.gov.lk/"},
    {"country": "State of Palestine (West Bank and Gaza)", "portal": "No specific open data portal available"},
    {"country": "Sudan", "portal": "No specific open data portal available"},
    {"country": "Suriname", "portal": "No specific open data portal available"},
    {"country": "Sweden", "portal": "https://www.dataportal.se/"},
    {"country": "Switzerland", "portal": "https://www.opendata.swiss/"},
    {"country": "Syrian Arab Republic", "portal": "No specific open data portal available"},
    {"country": "Taiwan", "portal": "https://data.gov.tw/"},
    {"country": "Tajikistan", "portal": "No specific open data portal available"},
    {"country": "Tanzania", "portal": "No specific open data portal available"},
    {"country": "Thailand", "portal": "https://data.go.th/"},
    {"country": "Timor-Leste", "portal": "No specific open data portal available"},
    {"country": "Togo", "portal": "No specific open data portal available"},
    {"country": "Tonga", "portal": "No specific open data portal available"},
    {"country": "Trinidad and Tobago", "portal": "No specific open data portal available"},
    {"country": "Tunisia", "portal": "https://www.data.gov.tn/"},
    {"country": "Turkey", "portal": "https://www.data.gov.tr/"},
    {"country": "Turkmenistan", "portal": "No specific open data portal available"},
    {"country": "Tuvalu", "portal": "No specific open data portal available"},
    {"country": "Uganda", "portal": "https://www.ubos.org/statistics/"},
    {"country": "Ukraine", "portal": "https://data.gov.ua/"},
    {"country": "United Arab Emirates", "portal": "https://bayanat.ae/"},
    {"country": "United Kingdom", "portal": "https://data.gov.uk/"},
    {"country": "United States", "portal": "https://www.data.gov/"},
    {"country": "Uruguay", "portal": "https://catalogodatos.gub.uy/"},
    {"country": "Uzbekistan", "portal": "https://data.egov.uz/"},
    {"country": "Vanuatu", "portal": "No specific open data portal available"},
    {"country": "Venezuela", "portal": "No specific open data portal available"},
    {"country": "Vietnam", "portal": "https://data.gov.vn/"},
    {"country": "Virgin Islands (British)", "portal": "No specific open data portal available"},
    {"country": "Yemen", "portal": "No specific open data portal available"},
    {"country": "Zambia", "portal": "No specific open data portal available"},
    {"country": "Zimbabwe", "portal": "No specific open data portal available"}
]
